SingleColumnRestriction.SuperColumnKeySliceRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class SingleColumnRestriction.SuperColumnKeySliceRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SliceRestriction
    - - org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SuperColumnKeySliceRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Enclosing class:
    SingleColumnRestriction

      public static class SingleColumnRestriction.SuperColumnKeySliceRestriction
      extends SingleColumnRestriction.SliceRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `SingleColumnRestriction.ContainsRestriction, SingleColumnRestriction.EQRestriction, SingleColumnRestriction.INRestriction, SingleColumnRestriction.InRestrictionWithMarker, SingleColumnRestriction.InRestrictionWithValues, SingleColumnRestriction.IsNotNullRestriction, SingleColumnRestriction.LikeRestriction, SingleColumnRestriction.SliceRestriction, SingleColumnRestriction.SuperColumnKeyEQRestriction, SingleColumnRestriction.SuperColumnKeyINRestriction, SingleColumnRestriction.SuperColumnKeyINRestrictionWithMarkers, SingleColumnRestriction.SuperColumnKeyINRestrictionWithValues, SingleColumnRestriction.SuperColumnKeySliceRestriction, SingleColumnRestriction.SuperColumnMultiEQRestriction, SingleColumnRestriction.SuperColumnMultiSliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SliceRestriction

      `slice`

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `columnDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperColumnKeySliceRestriction(ColumnDefinition columnDef, Bound bound, boolean inclusive, Term term)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
    `MultiCBuilder` | `appendBoundTo(MultiCBuilder builder, Bound bound, QueryOptions options)` Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
    `java.nio.ByteBuffer` | `bindValue(QueryOptions options)`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction.SliceRestriction

      `addFunctionsTo, appendTo, doMergeWith, hasBound, isInclusive, isSlice, isSupportedBy, toString`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.SingleColumnRestriction

      `getColumnDefs, getFirstColumn, getLastColumn, hasSupportingIndex, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `isContains, isEQ, isIN, isLIKE, isMultiColumn, isNotNull`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `isOnToken`

- - ### Constructor Detail

    - #### SuperColumnKeySliceRestriction

          public SuperColumnKeySliceRestriction(ColumnDefinition columnDef,
                                                Bound bound,
                                                boolean inclusive,
                                                Term term)

  - ### Method Detail

    - #### bindValue

          public java.nio.ByteBuffer bindValue(QueryOptions options)

    - #### appendBoundTo

          public MultiCBuilder appendBoundTo(MultiCBuilder builder,
                                             Bound bound,
                                             QueryOptions options)

      Description copied from interface: `SingleRestriction`
      Appends the values of the `SingleRestriction` for the specified bound to the specified builder.
      Specified by:
        `appendBoundTo` in interface `SingleRestriction`
      Overrides:
        `appendBoundTo` in class `SingleColumnRestriction.SliceRestriction`
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `bound` - the bound
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### addRowFilterTo

          public void addRowFilterTo(RowFilter filter,
                                     SecondaryIndexManager indexManager,
                                     QueryOptions options)
                              throws InvalidRequestException

      Description copied from interface: `Restriction`
      Adds to the specified row filter the expressions corresponding to this `Restriction`.
      Specified by:
        `addRowFilterTo` in interface `Restriction`
      Overrides:
        `addRowFilterTo` in class `SingleColumnRestriction.SliceRestriction`
      Parameters:
        `filter` - the row filter to add expressions to
        `indexManager` - the secondary index manager
        `options` - the query options
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation